Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.windows
Class RegistryRoot

    java.lang.Object
      com.install4j.api.windows.RegistryRoot

    public class RegistryRoot

extends java.lang.Object

Enumeration class for the different registry roots in the Microsoft Windows registry.

Author:
  ej-technologies GmbH

Field Summary
`static RegistryRoot` | `HKEY_CLASSES_ROOT` Identifies the root registry key `HKEY_CLASSES_ROOT`.
`static RegistryRoot` | `HKEY_CURRENT_CONFIG` Identifies the root registry key `HKEY_CURRENT_CONFIG`.
`static RegistryRoot` | `HKEY_CURRENT_USER` Identifies the root registry key `HKEY_CURRENT_USER`.
`static RegistryRoot` | `HKEY_LOCAL_MACHINE` Identifies the root registry key `HKEY_LOCAL_MACHINE`.
`static RegistryRoot` | `HKEY_USERS` Identifies the root registry key `HKEY_USERS`.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HKEY_CLASSES_ROOT

    public static final RegistryRoot HKEY_CLASSES_ROOT

  Identifies the root registry key `HKEY_CLASSES_ROOT`.

### HKEY_LOCAL_MACHINE

    public static final RegistryRoot HKEY_LOCAL_MACHINE

  Identifies the root registry key `HKEY_LOCAL_MACHINE`.

### HKEY_CURRENT_USER

    public static final RegistryRoot HKEY_CURRENT_USER

  Identifies the root registry key `HKEY_CURRENT_USER`.

### HKEY_USERS

    public static final RegistryRoot HKEY_USERS

  Identifies the root registry key `HKEY_USERS`.

### HKEY_CURRENT_CONFIG

    public static final RegistryRoot HKEY_CURRENT_CONFIG

  Identifies the root registry key `HKEY_CURRENT_CONFIG`.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD